[Qa-jenkins-scm] [jenkins.debian.net] 01/01: make more robust

Holger Levsen holger at moszumanska.debian.org
Wed Nov 25 18:40:46 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit f625aeb97fa7612175175bf728fc9c644ffac486
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Nov 25 19:40:26 2015 +0100

    make more robust
---
 bin/chroot-run.sh     | 2 +-
 bin/schroot-create.sh | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index 31ca1ee..1028548 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -57,7 +57,7 @@ bootstrap() {
 	echo "$(date -u ) - bootstraping $DISTRO into $CHROOT_TARGET now."
 	set +e
 	sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
-	local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG)
+	local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG || true )
 	rm $TMPLOG
 	set -e
 	if [ ! -z "$RESULT" ] ; then
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 9c629f2..97c9d0f 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -113,7 +113,7 @@ EOF
 robust_chroot_apt() {
 	set +e
 	sudo chroot $SCHROOT_TARGET apt-get $@ | tee $TMPLOG
-	local RESULT=$(egrep 'Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' $TMPLOG)
+	local RESULT=$(egrep 'Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' $TMPLOG || true)
 	set -e
 	if [ ! -z "$RESULT" ] ; then
 		echo "$(date -u) - 'apt-get $@' failed, sleeping 5min before retrying..."
@@ -130,7 +130,7 @@ bootstrap() {
 	echo "Bootstraping $SUITE into $SCHROOT_TARGET now."
 	set +e
 	sudo debootstrap $SUITE $SCHROOT_TARGET $MIRROR | tee $TMPLOG
-	local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG)
+	local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG || true)
 	set -e
 	if [ ! -z "$RESULT" ] ; then
 		echo "$(date -u) - initial debootstrap failed, sleeping 5min before retrying..."

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list